Package org.apache.any23.vocab

## Class Vocabulary

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary

- Direct Known Subclasses:
    `CSV`, `DCTerms`, `DOAC`, `DOAP`, `FOAF`, `GeoNames`, `HCard`, `HEntry`, `HEvent`, `HItem`, `HListing`, `HProduct`, `HRecipe`, `HResume`, `ICAL`, `LKIFCoreAction`, `LKIFCoreExpression`, `LKIFCoreLegalAction`, `LKIFCoreLegalRole`, `LKIFCoreMereology`, `LKIFCoreNorm`, `LKIFCoreProcess`, `LKIFCoreRelativePlaces`, `LKIFCoreRole`, `LKIFCoreRules`, `LKIFCoreTime`, `LKIFCoreTimeModification`, `LKIFCoreTop`, `OGP`, `OGPArticle`, `OGPBook`, `OGPMusic`, `OGPProfile`, `OGPVideo`, `Programme`, `Review`, `ReviewAggregate`, `SchemaOrg`, `SINDICE`, `VCard`, `WO`, `XFN`, `XHTML`, `YAML`

      public abstract class Vocabulary
      extends Object

  Base class for the definition of a vocabulary.
  Version:
    $Id$
  Author:
    Michele Mostarda ( michele.mostarda@gmail.com )

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Vocabulary​(String namespace)` | Overloaded Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.eclipse.rdf4j.model.IRI` | `createClass​(String namespace, String resource)` | Creates a resource and register it to the `classes` map.
    `protected static org.eclipse.rdf4j.model.IRI` | `createIRI​(String iriStr)` | Creates a IRI.
    `protected org.eclipse.rdf4j.model.IRI` | `createProperty​(String namespace, String property)` | Creates a property and register it to the `properties` map.
    `org.eclipse.rdf4j.model.IRI` | `getClass​(String name)` | Returns a class defined within this vocabulary.
    `org.eclipse.rdf4j.model.IRI[]` | `getClasses()` |
    `String` | `getCommentFor​(org.eclipse.rdf4j.model.IRI resource)` | Returns the comment for the given resource.
    `Map<org.eclipse.rdf4j.model.IRI,​String>` | `getComments()` | Returns all the defined comments for resources.
    `org.eclipse.rdf4j.model.IRI` | `getNamespace()` |
    `org.eclipse.rdf4j.model.IRI[]` | `getProperties()` |
    `org.eclipse.rdf4j.model.IRI` | `getProperty​(String name)` | Returns a property defined within this vocabulary.
    `org.eclipse.rdf4j.model.IRI` | `getProperty​(String name, org.eclipse.rdf4j.model.IRI defaultValue)` | Returns a property defined within this vocabulary, if not found the `defaultValue` will be returned.
    `org.eclipse.rdf4j.model.IRI` | `getPropertyCamelCase​(String property)` | Returns the property IRI for the specified property string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Vocabulary

          public Vocabulary​(String namespace)

      Overloaded Constructor.
      Parameters:
        `namespace` - the namespace IRI prefix.

  - ### Method Detail

    - #### getNamespace

          public org.eclipse.rdf4j.model.IRI getNamespace()

      Returns:
        the namespace associated to this vocabulary.

    - #### getClass

          public org.eclipse.rdf4j.model.IRI getClass​(String name)

      Returns a class defined within this vocabulary.
      Parameters:
        `name` - class name.
      Returns:
        the IRI associated to such resource.

    - #### getProperty

          public org.eclipse.rdf4j.model.IRI getProperty​(String name)

      Returns a property defined within this vocabulary.
      Parameters:
        `name` - property name.
      Returns:
        the IRI associated to such property.

    - #### getProperty

          public org.eclipse.rdf4j.model.IRI getProperty​(String name,
                                                         org.eclipse.rdf4j.model.IRI defaultValue)

      Returns a property defined within this vocabulary, if not found the `defaultValue` will be returned.
      Parameters:
        `name` - property name.
        `defaultValue` - the default value if property name not found.
      Returns:
        the IRI associated to such property.

    - #### getPropertyCamelCase

          public org.eclipse.rdf4j.model.IRI getPropertyCamelCase​(String property)

      Returns the property IRI for the specified property string. If the string contains a list of words separated by blank chars, such words are merged and camel case separated.
      Parameters:
        `property` - property name.
      Returns:
        property IRI.

    - #### getClasses

          public org.eclipse.rdf4j.model.IRI[] getClasses()

      Returns:
        the list of all defined classes.

    - #### getProperties

          public org.eclipse.rdf4j.model.IRI[] getProperties()

      Returns:
        the list of all defined properties.

    - #### getComments

          public Map<org.eclipse.rdf4j.model.IRI,​String> getComments()

      Returns all the defined comments for resources.
      Returns:
        unmodifiable list of comments.

    - #### getCommentFor

          public String getCommentFor​(org.eclipse.rdf4j.model.IRI resource)

      Returns the comment for the given resource.
      Parameters:
        `resource` - input resource to have a comment.
      Returns:
        the human readable comment associated to the given resource.

    - #### createIRI

          protected static org.eclipse.rdf4j.model.IRI createIRI​(String iriStr)

      Creates a IRI.
      Parameters:
        `iriStr` - the IRI string
      Returns:
        the IRI instance.

    - #### createClass

          protected org.eclipse.rdf4j.model.IRI createClass​(String namespace,
                                                            String resource)

      Creates a resource and register it to the `classes` map.
      Parameters:
        `namespace` - vocabulary namespace.
        `resource` - name of the resource.
      Returns:
        the created resource IRI.

    - #### createProperty

          protected org.eclipse.rdf4j.model.IRI createProperty​(String namespace,
                                                               String property)

      Creates a property and register it to the `properties` map.
      Parameters:
        `namespace` - vocabulary namespace.
        `property` - name of the property.
      Returns:
        the created property IRI.